<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
	
	$erro = false ;
	$tam = count( $idAluno ) ;
		
	/* Inserir notas referentes ao primeiro bimestre */
	for( $i = 0 ; $i < ( $tam - $num_nulos[0] ) ; $i++ )
	{	
		$notaAluno = pg_escape_string( $primeiroBim[$i] ) ;
			
		$sql = "delete from \"mat_avaliacaoTurma\" 
			where codescola=".$escola.
			" and codturma=".$turma.
			" and iddisciplina=".$disciplina.
			" and codaluno=".$idAluno[$i].
			" and bimestre='1'" ;

		$result = executaQuery($dbh,$sql);
		if(!$result)
		{
			$erro = true;
			echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Primeiro bimestre." ; 
			break;
		}			

		$sql = " insert into \"mat_avaliacaoTurma\" 
			 (codescola,codturma,iddisciplina,codaluno,bimestre,nota)
			 values
			 (".$escola.",".$turma.",".$disciplina.",".$idAluno[$i].",1,"."'$notaAluno'".")" ;
		
		//echo $sql;	
			
		$result = executaQuery($dbh , $sql) ;	
		if(!$result)
		{
			$erro = true;
			echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Primeiro bimestre." ; 
			break;
		}	
			
			
			
	}	
	
	/* Inserir notas referentes ao segundo bimestre */
	for( $i = 0 ; $i < $tam ; $i++ )
	{
	
		$notaAluno = pg_escape_string( $segundoBim[$i] ) ;
			
		$sql = "delete from \"mat_avaliacaoTurma\" 
			where codescola=".$escola.
			" and codturma=".$turma.
			" and iddisciplina=".$disciplina.
			" and codaluno=".$idAluno[$i].
			" and bimestre='2'" ;

		$result = executaQuery($dbh,$sql);
		if(!$result)
		{
			$erro = true;
			echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Segundo bimestre." ; 
			break;
		}
			
		$sql = " insert into \"mat_avaliacaoTurma\" 
			 (codescola,codturma,iddisciplina,codaluno,bimestre,nota)
			 values
			 (".$escola.",".$turma.",".$disciplina.",".$idAluno[$i].",2,"."'$notaAluno'".")" ;
		
		//echo $sql;	
			
		$result = executaQuery($dbh , $sql) ;	
		if(!$result)
		{
			$erro = true;
			echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Segundo bimestre." ; 
			break;
		}
			
				
	}

	/* Inserir notas referentes ao terceiro bimestre */
	for( $i = 0 ; $i < $tam ; $i++ )
	{
		$notaAluno = pg_escape_string( $terceiroBim[$i] ) ;
				
		$sql = "delete from \"mat_avaliacaoTurma\" 
			where codescola=".$escola.
			" and codturma=".$turma.
			" and iddisciplina=".$disciplina.
			" and codaluno=".$idAluno[$i].
			" and bimestre='3'" ;

		$result = executaQuery($dbh,$sql);
		if(!$result)
		{
			$erro = true;
			echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Terceiro bimestre." ; 
			break;
		}
		
		$sql = " insert into \"mat_avaliacaoTurma\" 
			 (codescola,codturma,iddisciplina,codaluno,bimestre,nota)
			 values
			 (".$escola.",".$turma.",".$disciplina.",".$idAluno[$i].",3,"."'$notaAluno'".")" ;
			
		//echo $sql;	
			
		$result = executaQuery($dbh , $sql) ;	
		if(!$result)
		{
			$erro = true;
			echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Terceiro bimestre." ; 
			break;
		}
			
				
	}	
	
	/* Inserir notas referentes ao Quarto bimestre */
	for( $i = 0 ; $i < $tam ; $i++ )
	{		
		$notaAluno = pg_escape_string( $quartoBim[$i] ) ;
			
		$sql = "delete from \"mat_avaliacaoTurma\" 
		where codescola=".$escola.
		" and codturma=".$turma.
		" and iddisciplina=".$disciplina.
		" and codaluno=".$idAluno[$i].
		" and bimestre='4'" ;

		$result = executaQuery($dbh,$sql);
		if(!$result)
		{
			$erro = true;
			//echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Quarto bimestre." ; 
			break;
		}	
			
		$sql = " insert into \"mat_avaliacaoTurma\" 
			 (codescola,codturma,iddisciplina,codaluno,bimestre,nota)
			 values
			 (".$escola.",".$turma.",".$disciplina.",".$idAluno[$i].",4,"."'$notaAluno'".")" ;
		
		//echo $sql;	
				
		$result = executaQuery($dbh , $sql) ;	
		if(!$result)
		{
			$erro = true;
			//echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Quarto bimestre." ; 
			break;
		}
			
				
	}
	
	/* Inserir Situa��o final */
	for( $i = 0 ; $i < $tam ; $i++ )
	{	
			
		$sql = "delete from mat_turmadisciplinasituacaofinal
			where codescola=".$escola.
			" and codturma=".$turma.
			" and iddisciplina=".$disciplina.
			" and codaluno=".$idAluno[$i] ;
				
		$result = executaQuery($dbh,$sql);
		if(!$result)
		{
			$erro = true;
			//echo "Erro ao inserir as notas do aluno ".$idAluno[$i]." no Primeiro bimestre." ; 
			break;
		}
			
		$sql = "insert into mat_turmadisciplinasituacaofinal
			(codescola,codturma,iddisciplina,codaluno,idsituacaofinal)
			values
			(".$escola.",".$turma.",".$disciplina.",".$idAluno[$i].",".$situacaoFinal[$i].")" ;
					
				
		$result = executaQuery($dbh , $sql) ;	
		if(!$result)
		{
			$erro = true;
			echo "Erro ao inserir a situa��o final do aluno ".$idAluno[$i] ; 
			break;
		}
		
			
	}
	
	if( $erro )
	{
		$result = executaQuery($dbh, "ROLLBACK");
		if (!$result)
		{
			$erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
			$_SESSION["f_retornoFatal"] = $erroFatal;
		}
		
		$erro = "Erro na Gravacao de notas";
		$_SESSION["f_retorno"]= $erro;
		pg_close($dbh);
		header('location:../novastelas/avaliacaoaluno.php?reacao=retorno&action=mostraalunos&disciplina='.$disciplina.'&turma='.$turma.'&escola='.$escola);
		exit;
	}
	
	$sql = cleanSql($sql);
	$textoScript .= $sql . ';';
	
?>